Hilfe durchsuchen

Vorsicht vor Support-Betrug: Wir fordern Sie niemals auf, eine Nummer anzurufen, sie per SMS zu kontaktieren oder persönliche Daten preiszugeben. Bitte melden Sie verdächtige Aktivitäten über die Funktion „Missbrauch melden“.

Learn More

plugin check not working

  • 44 Antworten
  • 47 haben dieses Problem
  • 3361 Aufrufe
  • Letzte Antwort von AliceWyman

more options

The Firefox plugin checker is reporting "vulnerable - Update Now" for my Java Deployment Toolkit 7.0.510.13. and Java(TM) Platform SE 7 U51 plugins.

The 'update now' link takes me to the Java download page which invites me to download the latest Plugin 7.51. but i already have 7.51 installed so the plugin checker is incorrectly displaying "vulnerable - Update Now". I have had 7.51 installed since January 17th and run the plugin checker on a weekly basis so i'm not sure why it has suddenly decided that this is a vulnerable plugin.

I am running Firefox 28.0 on Windows 7

thanks ...

Alle Antworten (20)

more options

The Mozilla plugin check page recognizes the Java 8 plugin that has just been released by Oracle as the latest up-to-date version.

You can find the latest Java 8 version on the Oracle website.

See Java Platform > Java SE 8 (JRE 8 Download; you need the 32 bit version for Windows)

more options

Hi cor-el

Thanks for the links, I will download from those.

I would suggest though that there is a still an error with the plugin checker in that the "Update Now" link is going to the wrong place. It should go to the links you have provided, rather than the page that invites you to download v7.51

thanks ...

more options

Check this link for details... If the problem persists...reinstall the plug in by visiting java site manually...then tryusing the plug in checker in firefox...

http://blog.mozilla.org/addons/2013/01/11/protecting-users-against-java-vulnerability/

more options

Hi Jithin,

I don't have any problems with installing the plugin, I was just flagging up a fault with the plugin checker.

thanks ...

more options

Hello,

I am glad to hear that your problem has been resolved.

If you have not already, please mark this thread as solved by marking the solution.
This will help other users experiencing similar problems find help faster and more efficiently.

I hope you continue using our products and thank you for contacting Mozilla Support.

more options

It's not resolved. There is a still a fault with the plugin checker.

more options

Hi!

I found a bug on file for this issue: Bug 986777

Important: Do not comment on bugs reports unless you have substantial or beneficial information that benefits the working of the bug or the bug to be triage

Thanks!

more options

Hello richlaughlin, you can't resolve the issue till the bugs fixed.

See analytical and accurate AliceWyman's reply in the next link:

https://support.mozilla.org/en-US/questions/991223#answer-546904


thank you

more options

OK i can see it's being worked on, i'll wait for the resolution.

thanks ...

more options

Hi

Problem still occurring after more than 3 weeks, and Bug 986777 says "Resolved duplicate" when it clearly isn't.

more options

richlaughlin,

RESOLVED DUPLICATE means that the bug was marked as a duplicate of bug 985968 and it was resolved as being marked duplicate. As you can see, the original bug for the plugin issue is stuck at NEEDSINFO which means they are waiting for further information from someone else regarding the issue.

more options

Would it be possible for someone to look into fixing this? According to that link, the bug is still "NEW" and assigned to "Nobody", despite being raised back in March.

more options

@ richlaughlin
Mozilla is aware yet no solution is found. It's stated on the plug-in check page:

"We are aware of a problem detecting current versions of the Java plugin and misreporting them as vulnerable. We’re working to correct this error.
In the meantime, you can visit the Java website to download the latest version."

Strange thing is that I use Java 8 and that gives the "Up To Date" notice.

more options

Issue fixed in v29.0.1. Thanks ....

more options

Hi

I'm afraid this is broken again. This time, the plugin checker is saying that my plugin is up-to-date when there is a newer version available!

I have the following plugins ...

Java Deployment Toolkit 7.0.550.13NPRuntime Script Plug-in Library for Java(TM) Deploy 10.55.2.13 Up to Date

but when i click on the green "up to date" button, the link takes me to the java website which shows that the latest version is "Recommended Version 7 Update 60"

more options

The PluginCheck webpage just hasn't been updated to show that Java 7 U55 is outdated.

I checked at Java .com and the Java 7 Releases page shows

Java 7 Update 60 Limited Update 	May 28, 2014

By the way, I looked up "Limited Update" and found THIS: (Quote) ... Java update releases have either been Limited Update releases that include new functionality and non-security fixes or Critical Patch Updates (CPUs) that only include fixes for security vulnerabilities.

In other words, this isn't a security update so users are not at risk if they don't update right away.

more options

P.S. The Java 7 Release Highlights page has more information about Java 7 Update 60, if anyone is interested.

more options

I understand the latest update may not be a security update, but the plugin checker is not working correctly or as it did before. There is no way of knowing if a new update has arrived whether it be a security update or not unless you click on the green up-to-date button every day, and it clearly says "These plugins are up to date" which is untrue.

more options

This is actually a PluginCheck issue and not a Mozilla Firefox Support issue. However, I agree that PluginCheck should be kept up to date as far as plugins that are in the Mozilla database, like Java.

I did a bugzilla search and I can't seem to find any bug filed to update the Mozilla PluginCheck page, so that it displays Java versions previous to Java 7 Update 60 as outdated. I'm going to escalate this question to the HelpDesk for a reply from a Mozilla employee.

Geändert am von AliceWyman

more options

I thought the Add-ons manager which houses the plugin check was a component of Mozilla Firefox, so i chose Mozilla Support : Firefox > Addons when i posted the original question. Sorry if this was the wrong place.

Thank you for escalating the issue.

  1. 1
  2. 2
  3. 3